org.apache.poi.xssf.usermodel

## Class XSSFHeaderFooterProperties

- java.lang.Object
- - org.apache.poi.xssf.usermodel.XSSFHeaderFooterProperties

-     public class XSSFHeaderFooterProperties
      extends java.lang.Object

  All Header/Footer properties for a sheet are scoped to the sheet. This includes Different First Page, and Different Even/Odd. These properties can be set or unset explicitly in this class. Note that while Scale With Document and Align With Margins default to unset, Different First, and Different Even/Odd are updated automatically as headers and footers are added and removed.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XSSFHeaderFooterProperties(org.openxmlformats.schemas.spreadsheetml.x2006.main.CTHeaderFooter headerFooter)` Create an instance of XSSFHeaderFooterProperties from the supplied XML bean

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getAlignWithMargins()` returns alignWithMargins attribute
    `boolean` | `getDifferentFirst()` returns differentFirst attribute
    `boolean` | `getDifferentOddEven()` returns differentOddEven attribute
    `org.openxmlformats.schemas.spreadsheetml.x2006.main.CTHeaderFooter` | `getHeaderFooter()` Returns the underlying CTHeaderFooter xml bean
    `boolean` | `getScaleWithDoc()` returns scaleWithDoc attribute
    `void` | `removeAlignWithMargins()` remove alignWithMargins attribute
    `void` | `removeDifferentFirst()` remove differentFirst attribute
    `void` | `removeDifferentOddEven()` remove differentOddEven attribute
    `void` | `removeScaleWithDoc()` remove scaleWithDoc attribute
    `void` | `setAlignWithMargins(boolean flag)` set alignWithMargins attribute
    `void` | `setDifferentFirst(boolean flag)` set differentFirst attribute
    `void` | `setDifferentOddEven(boolean flag)` set differentOddEven attribute
    `void` | `setScaleWithDoc(boolean flag)` set scaleWithDoc attribute

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XSSFHeaderFooterProperties

          public XSSFHeaderFooterProperties(org.openxmlformats.schemas.spreadsheetml.x2006.main.CTHeaderFooter headerFooter)

      Create an instance of XSSFHeaderFooterProperties from the supplied XML bean
      Parameters:
        `headerFooter` -

  - ### Method Detail

    - #### getHeaderFooter

          @Internal
          public org.openxmlformats.schemas.spreadsheetml.x2006.main.CTHeaderFooter getHeaderFooter()

      Returns the underlying CTHeaderFooter xml bean
      Returns:
        the underlying CTHeaderFooter xml bean

    - #### getAlignWithMargins

          public boolean getAlignWithMargins()

      returns alignWithMargins attribute

    - #### getDifferentFirst

          public boolean getDifferentFirst()

      returns differentFirst attribute

    - #### getDifferentOddEven

          public boolean getDifferentOddEven()

      returns differentOddEven attribute

    - #### getScaleWithDoc

          public boolean getScaleWithDoc()

      returns scaleWithDoc attribute

    - #### setAlignWithMargins

          public void setAlignWithMargins(boolean flag)

      set alignWithMargins attribute

    - #### setDifferentFirst

          public void setDifferentFirst(boolean flag)

      set differentFirst attribute

    - #### setDifferentOddEven

          public void setDifferentOddEven(boolean flag)

      set differentOddEven attribute

    - #### setScaleWithDoc

          public void setScaleWithDoc(boolean flag)

      set scaleWithDoc attribute

    - #### removeAlignWithMargins

          public void removeAlignWithMargins()

      remove alignWithMargins attribute

    - #### removeDifferentFirst

          public void removeDifferentFirst()

      remove differentFirst attribute

    - #### removeDifferentOddEven

          public void removeDifferentOddEven()

      remove differentOddEven attribute

    - #### removeScaleWithDoc

          public void removeScaleWithDoc()

      remove scaleWithDoc attribute

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.